;******************************************************************************
;            (C) Copyright 1992-1995, Radius, Inc. and Atari Corp.
; Secret and confidential                                   All rights reserved
;******************************************************************************
; This source code and any compilation or derivative thereof is the joint
; property of Radius, Inc. and Atari Corp.  This code is provided pursuant
; to a Software License Agreement and/or Software Development Contract.  This
; code is the proprietary information of Radius, Inc. and Atari Corp. and is
; confidential in nature.  Its use and dissemination by any party other than
; Atari Corp. are strictly limited by the confidential information provisions
; of the Agreement or Contract referenced above.
;******************************************************************************
; 100 16 Feb 96 JPE     Initial revision.
; 101 14 Jun 96 HMK 	American Hero Version.
;******************************************************************************

        .nlist
        .include    'player.inc'
        .include    'params.inc'
        .include    'hero1.inc'
        .list

;==============================================================================
;   Declare game configuration and state variable storage.
;==============================================================================

        .long

configData::                            ; Address we use for save/restore

;------------------------------------------------------------------------------
minSex::        dc.w    0               ; FALSE: unrestricted sex
                                        ; TRUE: sex will be minimized
;------------------------------------------------------------------------------
minViolence::   dc.w    0               ; FALSE: unrestricted violence
                                        ; TRUE: violence will be minimized
;------------------------------------------------------------------------------
pCtrlEnd:                               ; End of parental control settings

;------------------------------------------------------------------------------
.if 0					; ++++ 4/2/96 HMK moved to DSP RAM (CSX) !!!
audioGain::     dc.l    $1000           ; Q12 unsigned number
.endif
;------------------------------------------------------------------------------
cueOption::     dc.w    SUB_VOICE       ; SUBTITLES: subtitles only
                                        ; VOICEOVER: voiceover only
                                        ; SUB_VOICE: subtitles & voiceover
;------------------------------------------------------------------------------
difficulty::    dc.w    EASY            ; EASY: minimum difficulty
                                        ; MEDIUM: moderate difficulty
                                        ; HARD: maximum difficulty
;------------------------------------------------------------------------------
skipAhead::     dc.w    FALSE           ; FALSE: don't skip ahead on playback
                                        ; TRUE: skip ahead on playback
;------------------------------------------------------------------------------
jogMode::       dc.w    JUMP            ; PLAYBACK: play entire path
                                        ; JUMP: jump to last branch point
;------------------------------------------------------------------------------

score::         dc.l    0               ; Node-completion score

profile::                               ; Psycho-physical profile:
aggression:     dc.w    0               ; Aggression
decisiveness:   dc.w    0               ; Decisiveness
analytical:     dc.w    0               ; Analytical ability
libido:         dc.w    0               ; Libido
energy:         dc.w    0               ; Health

frameNum::      dc.l    0               ; Current frame number
currFilm::      dc.w    0               ; Current film number
lastNode::      dc.l    0               ; Last node visited
lastPath::      dc.l    0               ; Last location on path record

contNode::      dc.l    0               ; Node address for continue
contPath::      dc.l    0               ; Path position for continue
contScore::     dc.l    0               ; Score for continuation
contProfile::   dcb.w   5,0             ; Profile for continuation

saveEnv::       dc.w    0               ; Copy of configFlag at save

pathRecord::    dcb.w   PATH_SIZE,0     ; Decisions made along path
pathEnd::                               ; End of path record

;==============================================================================
;                               Playlist
;==============================================================================

playList::

        .include    'hero1.s'

playListEnd::

configSize::    dc.l    *-configData        ; Size of configuration set
pCtrlSize::     dc.l    pCtrlEnd-configData ; Size of parental control data

;------ Playlist entry point --------------------------------------------------

playListEnt::

.if CD
        dc.l    JP_START
.else
        dc.l    SCENE001		; +++ HMK 6/14/96 - HERO1 testing
;//	dc.l	LDO001
.endif

;------ Canned paths for VCR mode ---------------------------------------------

movie1Path::
movie2Path::
.if 0					; +++ HMK 6/14/96 - HERO1 testing
        dc.w    MLDI08B - LOOP0007      ; Loop 7: grab the nurse
        dc.w    LDI009 - LOOP0014       ; Loop 14: default
        dc.w    LDI006 - COUNT911       ; Count 0911: wake up
        dc.w    MLDI08B - LOOP0007      ; Loop 7: grab the nurse
        dc.w    LDI018 - LOOP0014       ; Loop 14: enough
        dc.w    MLDI22B - LOOP0021      ; Loop 21: bust loose
        dc.w    MLDI22A - HYPER2324     ; Hyper 2324: visit doctor
.endif
        .end
